use algorithms::crc::{CHECK_DATA, Crc, Crc32, ffi};
use iai::black_box;

fn iai_benchmark_native() -> <Crc32 as Crc>::Checksum {
    Crc32::checksum(black_box(&CHECK_DATA))
}
fn iai_benchmark_ffi() -> <Crc32 as Crc>::Checksum {
    ffi::Crc32::checksum(black_box(&CHECK_DATA))
}

iai::main!(iai_benchmark_native, iai_benchmark_ffi);
